module.exports = (db, DataTypes) => {
    return db.define("merchant", {
        name: DataTypes.STRING,
        short_name: DataTypes.STRING,
        credit_code: DataTypes.STRING,
        tax_type: DataTypes.STRING,
        business_lincense_img: DataTypes.STRING,
        account_name: DataTypes.STRING,
        account_bank_name: DataTypes.STRING,
        account_bank_no: DataTypes.STRING,
        account_mobile: DataTypes.STRING,
        contact_man: DataTypes.STRING,
        contact_mobile: DataTypes.STRING,
        contact_email: DataTypes.STRING,
        contact_addr: DataTypes.STRING,
        bd_id: DataTypes.STRING,
        bd_mobile: DataTypes.STRING,
        bd_email: DataTypes.STRING,
        audit_status: DataTypes.TINYINT,
        audit_remark: DataTypes.STRING,
        audit_user_id: DataTypes.STRING,

    }, {
        paranoid: false,//假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        timestamps: true,
        updatedAt: false,
        tableName: 'e_merchant',
        validate: {},
        indexes: []
    });
}
