module.exports = (db, DataTypes) => {
    return db.define("merchantaccount", {
        merchant_id: DataTypes.STRING,
        balance_amount: DataTypes.BIGINT,
        available_amount: DataTypes.BIGINT,
    }, {
        paranoid: false,//假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        timestamps: true,
        updatedAt: false,
        tableName: 'e_merchant_account',
        validate: {},
        indexes: []
    });
}
