module.exports = (db, DataTypes) => {
    return db.define("merchanttrade", {
        merchant_id: DataTypes.STRING,
        trade_type: DataTypes.TINYINT,
        trade_data_id: DataTypes.STRING,
        pay_type: DataTypes.TINYINT,
        amount_type: DataTypes.TINYINT,
        amount: DataTypes.BIGINT,
        trade_time: DataTypes.DATE,
        trade_voucher: DataTypes.STRING,
        audit_status: DataTypes.TINYINT,
        audit_remark: DataTypes.STRING,
        audit_user_id: DataTypes.STRING,
        balance_amount: DataTypes.BIGINT,
        available_amount: DataTypes.BIGINT,
    }, {
        paranoid: false,//假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        timestamps: true,
        updatedAt: false,
        tableName: 'e_merchant_trade',
        validate: {},
        indexes: []
    });
}
